(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     17249,        441]
NotebookOptionsPosition[     16122,        415]
NotebookOutlinePosition[     16556,        432]
CellTagsIndexPosition[     16513,        429]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8098848420911703`*^9, 
  3.8098848450141277`*^9}},ExpressionUUID->"44414410-0243-4440-b071-\
3f359144acf5"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"Range", "[", "5", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "5"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "3"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"GrafoRelBin", "[", 
  RowBox[{"R1", ",", "A"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"GrafoRelBin", "[", 
  RowBox[{"R2", ",", "A"}], "]"}]}], "Input",
 CellChangeTimes->{{3.809884633673831*^9, 3.809884635717737*^9}, {
  3.809884759199935*^9, 3.8098849019630547`*^9}, {3.809884961545638*^9, 
  3.8098850228141317`*^9}, {3.8098856321363797`*^9, 3.8098856526405115`*^9}},
 CellLabel->"In[53]:=",ExpressionUUID->"c0a47ed6-6cab-437a-a6ab-af149b525c16"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{1, 2, 3, 4, 5}, {
      SparseArray[
       Automatic, {5, 5}, 0, {
        1, {{0, 3, 5, 6, 10, 10}, {{1}, {4}, {5}, {1}, {4}, {1}, {2}, {3}, {
          4}, {5}}}, {1, 1, 1, 1, 1, 1, 1, 1, 1, 1}}], Null}, {
      ImagePadding -> 10, 
       VertexLabels -> {3 -> 3, 5 -> 5, 4 -> 4, 2 -> 2, 1 -> 1}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], Arrowheads[Medium], 
        ArrowBox[BezierCurveBox[{{0.6829935146819787, 0.433901408839185}, {
         0.9520866895676888, 0.36904848945035135`}, {1.0271786820975308`, 
         0.21427601565194704`}, {1.0081647689271633`, 0.0996877727553762}, {
         0.7153048758887655, -0.03127713222726575}, {0.6172220322537467, 
         0.030946256370931707`}, {0.5519282230757944, 0.19010040953952703`}, {
         0.6829935146819787, 0.433901408839185}},
         SplineDegree->7], 0.01978930824240696], 
        ArrowBox[{{0.6829935146819787, 0.433901408839185}, {
         0.6847953121970489, 0.9866809739092854}}, 0.01978930824240696], 
        ArrowBox[{{0.6829935146819787, 0.433901408839185}, {
         0.0024656360683374956`, 1.4230235799051547`}}, 0.01978930824240696], 
        ArrowBox[{{0., 0.}, {0.6829935146819787, 0.433901408839185}}, 
         0.01978930824240696], 
        ArrowBox[BezierCurveBox[{{0., 0.}, {0.18014709951751737`, 
         0.6059487397598234}, {0.6847953121970489, 0.9866809739092854}}], 
         0.01978930824240696], 
        ArrowBox[{{1.6597217939929498`, 0.7095547733458675}, {
         0.6829935146819787, 0.433901408839185}}, 0.01978930824240696], 
        ArrowBox[BezierCurveBox[{{0.6847953121970489, 0.9866809739092854}, {
         0.5046482126795307, 0.3807322341494628}, {0., 0.}}], 
         0.01978930824240696], 
        ArrowBox[{{0.6847953121970489, 0.9866809739092854}, {
         1.6597217939929498`, 0.7095547733458675}}, 0.01978930824240696], 
        ArrowBox[BezierCurveBox[{{0.6847953121970489, 0.9866809739092854}, {
         0.5543607849542331, 1.2308988602361082`}, {0.6200657946525925, 
         1.3898350578733951`}, {0.7182835642668037, 1.4517874740106396`}, {
         1.0107543937194934`, 1.3201419111062274`}, {1.029502914827294, 
         1.2055411908227012`}, {0.9540946468711247, 1.0509725771176197`}, {
         0.6847953121970489, 0.9866809739092854}},
         SplineDegree->7], 0.01978930824240696], 
        ArrowBox[{{0.6847953121970489, 0.9866809739092854}, {
         0.0024656360683374956`, 1.4230235799051547`}}, 0.01978930824240696]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{0.6829935146819787, 0.433901408839185}, 
          0.01978930824240696], 
         InsetBox["1", 
          Offset[{2, 2}, {0.7027828229243857, 0.4536907170815919}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {DiskBox[{0., 0.}, 0.01978930824240696], 
         InsetBox["2", 
          Offset[{2, 2}, {0.01978930824240696, 0.01978930824240696}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6597217939929498, 0.7095547733458675}, 
          0.01978930824240696], 
         InsetBox["3", 
          Offset[{2, 2}, {1.6795111022353568, 0.7293440815882745}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.6847953121970489, 0.9866809739092854}, 
          0.01978930824240696], 
         InsetBox["4", 
          Offset[{2, 2}, {0.7045846204394559, 1.0064702821516924}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.0024656360683374956, 1.4230235799051547}, 
          0.01978930824240696], 
         InsetBox["5", 
          Offset[{2, 2}, {0.022254944310744457, 1.4428128881475617}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.8098856988990173`*^9, 3.809885728654089*^9}},
 CellLabel->"Out[56]=",ExpressionUUID->"82ca1cc3-e0ef-4cc5-a706-73207852e1e5"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{1, 2, 3, 4, 5}, {
      SparseArray[
       Automatic, {5, 5}, 0, {
        1, {{0, 3, 4, 5, 8, 10}, {{2}, {4}, {5}, {2}, {4}, {1}, {2}, {3}, {
          1}, {3}}}, {1, 1, 1, 1, 1, 1, 1, 1, 1, 1}}], Null}, {
      ImagePadding -> 10, 
       VertexLabels -> {3 -> 3, 5 -> 5, 4 -> 4, 2 -> 2, 1 -> 1}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], Arrowheads[Medium], 
        ArrowBox[{{0.8571821116101608, 0.930157366812149}, {0., 
         0.4831565195828316}}, 0.022029750467898124`], 
        ArrowBox[BezierCurveBox[{{0.8571821116101608, 0.930157366812149}, {
         1.0035047151508891`, 0.4828233350207441}, {0.8557431873926306, 
         0.03596253877629235}}], 0.022029750467898124`], 
        ArrowBox[BezierCurveBox[{{0.8571821116101608, 0.930157366812149}, {
         1.3868252657019389`, 1.1240609089670366`}, {1.9281697204819332`, 
         0.9657364458684545}}], 0.022029750467898124`], 
        ArrowBox[BezierCurveBox[{{0., 
         0.4831565195828316}, {-0.0885618978971065, 
         0.2924113358470281}, {-0.2874647886016788, 
         0.23610125628120718`}, {-0.41460985991448773`, 
         0.2951134220417583}, {-0.4144467772475824, 
         0.6715587788586843}, {-0.28725062347851144`, 
         0.7304607595829766}, {-0.08839659643287029, 0.6739783648119018}, {0.,
          0.4831565195828316}},
         SplineDegree->7], 0.022029750467898124`], 
        ArrowBox[BezierCurveBox[{{1.9286324931975038`, 0.}, {
         1.3862741335480881`, -0.15844544970318153`}, {0.8557431873926306, 
         0.03596253877629235}}], 0.022029750467898124`], 
        ArrowBox[BezierCurveBox[{{0.8557431873926306, 0.03596253877629235}, {
         0.7094205838519018, 0.483296570567696}, {0.8571821116101608, 
         0.930157366812149}}], 0.022029750467898124`], 
        ArrowBox[{{0.8557431873926306, 0.03596253877629235}, {0., 
         0.4831565195828316}}, 0.022029750467898124`], 
        ArrowBox[BezierCurveBox[{{0.8557431873926306, 0.03596253877629235}, {
         1.3981015470420441`, 0.19440798847947408`}, {1.9286324931975038`, 
         0.}}], 0.022029750467898124`], 
        ArrowBox[BezierCurveBox[{{1.9281697204819332`, 0.9657364458684545}, {
         1.3985265663901507`, 0.7718329037135697}, {0.8571821116101608, 
         0.930157366812149}}], 0.022029750467898124`], 
        ArrowBox[{{1.9281697204819332`, 0.9657364458684545}, {
         1.9286324931975038`, 0.}}, 0.022029750467898124`]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{0.8571821116101608, 0.930157366812149}, 
          0.022029750467898124], 
         InsetBox["1", 
          Offset[{2, 2}, {0.8792118620780589, 0.9521871172800471}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.4831565195828316}, 0.022029750467898124], 
         InsetBox["2", 
          Offset[{2, 2}, {0.022029750467898124, 0.5051862700507297}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.9286324931975038, 0.}, 0.022029750467898124], 
         InsetBox["3", 
          Offset[{2, 2}, {1.950662243665402, 0.022029750467898124}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8557431873926306, 0.03596253877629235}, 
          0.022029750467898124], 
         InsetBox["4", 
          Offset[{2, 2}, {0.8777729378605287, 0.057992289244190476}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.9281697204819332, 0.9657364458684545}, 
          0.022029750467898124], 
         InsetBox["5", 
          Offset[{2, 2}, {1.9501994709498314, 0.9877661963363527}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.8098856988990173`*^9, 3.809885728703575*^9}},
 CellLabel->"Out[57]=",ExpressionUUID->"bcf81411-285a-43cc-896b-b3f5b268f7f7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"Range", "[", "5", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "5"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "3"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Union", "[", 
  RowBox[{"R1", ",", "R2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Intersection", "[", 
  RowBox[{"R1", ",", "R2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Complement", "[", 
  RowBox[{
   RowBox[{"PC", "[", 
    RowBox[{"A", ",", "A"}], "]"}], ",", "R1"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8098871734734125`*^9, 3.8098872195996327`*^9}},
 CellLabel->"In[58]:=",ExpressionUUID->"ae92465f-257e-4742-9f40-c077ef9f59ca"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8098872206458282`*^9},
 CellLabel->"Out[61]=",ExpressionUUID->"d21e984f-1a5d-45ed-bfe4-dadf6d53def0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "3"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8098872206488223`*^9},
 CellLabel->"Out[62]=",ExpressionUUID->"9bc89121-98cb-4e66-8d79-7508863535aa"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "5"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.809887220650817*^9},
 CellLabel->"Out[63]=",ExpressionUUID->"6803befc-eb6f-46fc-bf58-df39bfdea752"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"27f25517-a701-4d10-a058-30b67c567de2"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 184, 4, 63, "Input",ExpressionUUID->"44414410-0243-4440-b071-3f359144acf5"],
Cell[CellGroupData[{
Cell[767, 28, 2033, 59, 432, "Input",ExpressionUUID->"c0a47ed6-6cab-437a-a6ab-af149b525c16"],
Cell[2803, 89, 4336, 83, 666, "Output",ExpressionUUID->"82ca1cc3-e0ef-4cc5-a706-73207852e1e5"],
Cell[7142, 174, 4302, 84, 465, "Output",ExpressionUUID->"bcf81411-285a-43cc-896b-b3f5b268f7f7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11481, 263, 2025, 61, 540, "Input",ExpressionUUID->"ae92465f-257e-4742-9f40-c077ef9f59ca"],
Cell[13509, 326, 1120, 36, 188, "Output",ExpressionUUID->"d21e984f-1a5d-45ed-bfe4-dadf6d53def0"],
Cell[14632, 364, 412, 12, 100, "Output",ExpressionUUID->"9bc89121-98cb-4e66-8d79-7508863535aa"],
Cell[15047, 378, 1059, 34, 220, "Output",ExpressionUUID->"6803befc-eb6f-46fc-bf58-df39bfdea752"]
}, Open  ]]
}
]
*)

